Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 55722 - Mono 1.0 install failure
Summary: Mono 1.0 install failure
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords:
: 56192 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-06-30 15:05 UTC by Joshua Hoblitt
Modified: 2005-02-09 22:21 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for SIGSEGV (mono-segv.patch,378 bytes, patch)
2004-07-07 18:52 UTC, Peter Johanson (RETIRED)
Details | Diff
Ebuild that applies the segv patch (mono-1.0.ebuild,1.62 KB, text/plain)
2004-07-07 18:53 UTC, Peter Johanson (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Hoblitt 2004-06-30 15:05:53 UTC
The build complete but the "install" to the build directory fails.

 /bin/install -c -m 644 mscorlib.dll /var/tmp/portage/mono-1.0/image//usr/lib/mscorlib.dll
MONO_PATH=. ../../mono/interpreter/mint --config ../../data/config ./../gacutil.exe /i ./Accessibility.dll /f /package 1.0 /gacdir /usr/lib /root /var/tmp/portage/mono-1.0/image//usr/lib
 
Unhandled Exception: System.TypeInitializationException: An exception was thrown by the type initializer for System.IO.Path ---> System.NullReferenceException: Null Reference (SIGSEGV)
#0: 0x00000            in System.Char:ToString () ()
#1: 0x00016 call       in System.IO.Path:.cctor () ()
#2: 0x0000b ldsfld.o   in System.IO.FileSystemInfo:CheckPath (string) (0x5c4d20 [0x5d0f30] )
#3: 0x00008 vcallvirt  in System.IO.DirectoryInfo:.ctor (string) (0x5c4d20 [0x5d0f30] )
#4: 0x00005 newobj     in Mono.Tools.Driver:EnsureLib (string) ([0x5d0f30] )
#5: 0x00197 call       in Mono.Tools.Driver:Main (string[]) ([0x5ceee0] )
--- End of inner exception stack trace ---
 
#0: 0x0000b ldsfld.o   in System.IO.FileSystemInfo:CheckPath (string) (0x5c4d20 [0x5d0f30] )
#1: 0x00008 vcallvirt  in System.IO.DirectoryInfo:.ctor (string) (0x5c4d20 [0x5d0f30] )
#2: 0x00005 newobj     in Mono.Tools.Driver:EnsureLib (string) ([0x5d0f30] )
#3: 0x00197 call       in Mono.Tools.Driver:Main (string[]) ([0x5ceee0] )
 
make[3]: *** [install-data-local] Error 1
make[3]: Leaving directory `/var/tmp/portage/mono-1.0/work/mono-1.0/runtime/net_1_1'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/var/tmp/portage/mono-1.0/work/mono-1.0/runtime/net_1_1'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mono-1.0/work/mono-1.0/runtime'
make: *** [install-recursive] Error 1
 
!!! ERROR: dev-dotnet/mono-1.0 failed.
!!! Function src_install, Line 42, Exitcode 2
!!! (no error message)
 


Reproducible: Always
Steps to Reproduce:
emerge dev-dotnet/mono



Portage 2.0.50-r8 (default-amd64-2004.0, gcc-3.3.3, glibc-2.3.4.20040605-r0,
2.6.7-gentoo-r6)
=================================================================
System uname: 2.6.7-gentoo-r6 x86_64 4
Gentoo Base System version 1.4.16
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.1/share/config /usr/kde/3.2/share/config /usr/kde/3/share/config
/usr/lib/mozilla/defaults/pref /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ / var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache sandbox"
GENTOO_MIRRORS="http://gentoo.mirrors.pair.com/ ftp://gentoo.mirrors.pair.com/
ftp://ibiblio.org/pub/Linux/distributions/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa amd64 apm arts avi berkdb cdr crypt encode esd foomaticdb gdbm gif
gnome gnome2 gpm gtk gtk2 imlib jpeg kde ldap libg++ libwww mikmod motif mozilla
mpeg multilib ncurses nls nogcj nptl oggvorbis opengl oss pam pdflib perl png
python qt quicktime readline sdl slang spell ssl tcpd tetex truetype xml2 xmms
xv zlib"
Comment 1 Peter Johanson (RETIRED) gentoo-dev 2004-07-05 21:21:49 UTC
*** Bug 56192 has been marked as a duplicate of this bug. ***
Comment 2 Peter Johanson (RETIRED) gentoo-dev 2004-07-07 18:52:02 UTC
Created attachment 34966 [details, diff]
Patch for SIGSEGV

Okay, this was just merged to mono a little while ago, and should (hopefully)
solve the problem with gacutil. Put this in the files directory for mono, and
use the forthcoming ebuild to have the patch applied during the emerge.
Comment 3 Peter Johanson (RETIRED) gentoo-dev 2004-07-07 18:53:41 UTC
Created attachment 34967 [details]
Ebuild that applies the segv patch

Okay, here's the ebuild. I have to double check that the mono binary used when
running gacutil is in fact the generated one, not the included one, so this may
not work. I don't have an amd64 box to test on though.

Please let me know how this goes.
Comment 4 Stephen Isaac 2004-07-09 13:08:04 UTC
Hi. Am quite new to this but hopefully I've done this right:
I've copied the ebuild to the e-build directory (replacing the old file). I've put the patch in the files directory and typed: 
emerge /usr/portage/dev-dotnet/mono/mono-1.0.ebuild

It's built perfectly (at least as far as I can tell)! Last time I did this it fell over in a very obvious way. Thanks for all your help!
Comment 5 Peter Johanson (RETIRED) gentoo-dev 2004-07-09 23:05:59 UTC
Okay, i've just commited this to portage. If I can get one more confirmation of it  being fixed, i'll mark it as such.
Comment 6 Joshua Hoblitt 2004-07-11 01:30:08 UTC
The ebuild successfully applies the segv patch, compiles, and installs.
                                                                                                                                                
Calculating dependencies ...done!
>>> emerge (1 of 1) dev-dotnet/mono-1.0-r1 to /
>>> md5 src_uri ;-) mono-1.0.tar.gz
>>> Unpacking source...
>>> Unpacking mono-1.0.tar.gz to /var/tmp/portage/mono-1.0-r1/work
 * Applying mono-segv.patch...                                                                                                            [ ok
]>>> Source unpacked.
.
.
>>> dev-dotnet/mono-1.0-r1 merged.
>>> Recording dev-dotnet/mono in "world" favorites file...
                                                                                                                                                
>>> clean: No packages selected for removal.
                                                                                                                                                
>>> Auto-cleaning packages ...
                                                                                                                                                
>>> No outdated packages were found on your system.
                                                                                                                                                
Except that there doesn't seem to be a mono executable.
                                                                                                                                                
find /usr/bin -name "*mono*"
/usr/bin/monodis
/usr/bin/monograph
/usr/bin/monoresgen.exe
/usr/bin/monop.exe
/usr/bin/mono-find-provides.exe
/usr/bin/mono-find-requires.exe
/usr/bin/monoresgen
/usr/bin/monop
/usr/bin/mono-find-requires
/usr/bin/mono-find-provides
Comment 7 Peter Johanson (RETIRED) gentoo-dev 2004-07-11 21:03:09 UTC
Okay, marking FIXED.

The "mono" binary is not there because the runtime has not yet been ported to the amd64 architecture. On the interpreter (mint) is working currently. You can use mint to run some things, but it's not the full blown runtime.

Supposedly work on amd64 is being done, but i'm not sure when we'll see the full support. ):
Comment 8 Andy Lutomirski 2004-07-21 14:35:22 UTC
I emerge sync's a couple minutes ago, and this one is still broken (just no SEGV):

/bin/sh ../../mkinstalldirs /var/tmp/portage/mono-1.0/image//usr/lib
 /bin/install -c -m 644 mscorlib.dll /var/tmp/portage/mono-1.0/image//usr/lib/mscorlib.dll
MONO_PATH=. ../../mono/interpreter/mint --config ../../data/config ./../gacutil.exe /i ./Accessibility.dll /f /package 1.0 /gacdir /usr/lib /root /var/tmp/portage/mono-1.0/image//usr/lib
Package exported to: /var/tmp/portage/mono-1.0/image//usr/lib/mono/1.0/Accessibility.dll -> /usr/lib/mono/gac/Accessibility/1.0.5000.0__b03f5f7f11d50a3a/Accessibility.dll
Accessibility installed into the gac (/var/tmp/portage/mono-1.0/image//usr/lib/mono/gac)
make[3]: *** [install-data-local] Error 1
make[3]: Leaving directory `/var/tmp/portage/mono-1.0/work/mono-1.0/runtime/net_1_1'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/var/tmp/portage/mono-1.0/work/mono-1.0/runtime/net_1_1'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mono-1.0/work/mono-1.0/runtime'
make: *** [install-recursive] Error 1

!!! ERROR: dev-dotnet/mono-1.0 failed.
!!! Function src_install, Line 50, Exitcode 2
!!! (no error message)

Please reopen.

Portage 2.0.50-r9 (gcc34-amd64-2004.1, gcc-3.4.1, glibc-2.3.4.20040619-r0, 2.6.7-gentoo-r11)
=================================================================
System uname: 2.6.7-gentoo-r11 x86_64 4
Gentoo Base System version 1.4.16
Autoconf: sys-devel/autoconf-2.59-r3
Automake: sys-devel/automake-1.8.3
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CFLAGS="-O3 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/bind /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache userpriv usersandbox"
GENTOO_MIRRORS="http://lug.mtu.edu/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa amd64 apache2 apm arts avi berkdb crypt cups dvd encode esd foomaticdb gdbm gif gnome gpm gtk gtk2 imlib java jpeg kde libg++ libwww mikmod motif mozilla mpeg multilib mysql ncurses nls nptl oggvorbis opengl oss pam pdflib perl png postgres python qt quicktime readline sdl slang spell ssl tcpd tetex threads truetype xml2 xmms xv zlib"
Comment 9 Martin Allchin 2005-01-09 14:41:43 UTC
 /bin/install -c -m 644 'mcs.exe' '/var/tmp/portage/mono-1.0.5-r1/image///usr/lib/mono/1.0//mcs.exe'
 /bin/install -c -m 644 'mbas.exe' '/var/tmp/portage/mono-1.0.5-r1/image///usr/lib/mono/1.0//mbas.exe'
test -z "//usr/lib/mono/2.0/" || mkdir -p -- . "/var/tmp/portage/mono-1.0.5-r1/image///usr/lib/mono/2.0/"
 /bin/install -c -m 644 'gmcs.exe' '/var/tmp/portage/mono-1.0.5-r1/image///usr/lib/mono/2.0//gmcs.exe'
make[3]: Leaving directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime'
make[2]: Leaving directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime'
Making install in net_1_1
make[2]: Entering directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime/net_1_1'
make[3]: Entering directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime/net_1_1'
make[3]: Nothing to be done for `install-exec-am'.
test -z "//usr/lib" || mkdir -p -- . "/var/tmp/portage/mono-1.0.5-r1/image///usr/lib"
 /bin/install -c -m 644 'mscorlib.dll' '/var/tmp/portage/mono-1.0.5-r1/image///usr/lib/mscorlib.dll'
MONO_PATH=. ../../mono/interpreter/mint --config ../../data/config ./../gacutil.exe /i ./Accessibility.dll /f /package 1.0 /gacdir //usr/lib /root /var/tmp/portage/mono-1.0.5-r1/image///usr/lib
/bin/sh: line 1: 16225 Segmentation fault      MONO_PATH=. /bin/sh ../../libtool --mode=execute ../../mono/interpreter/mint --config ../../data/config ./../gacutil.exe /i ./$i /f /package 1.0 /gacdir //usr/lib /root /var/tmp/portage/mono-1.0.5-r1/image///usr/lib
make[3]: *** [install-data-local] Error 1
make[3]: Leaving directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime/net_1_1'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime/net_1_1'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/mono-1.0.5-r1/work/mono-1.0.5/runtime'
make: *** [install-recursive] Error 1

!!! ERROR: dev-dotnet/mono-1.0.5-r1 failed.
!!! Function src_install, Line 63, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Problems here too... if you need any info lemme know...

Suggest bug is reopened
Comment 10 Mark D. 2005-02-09 22:21:56 UTC
Hi Martin, it looks like this new problem that your having (and I'm having) is now being tracked in in bug 61293.